#!/bin/sh
# Get translations
ENVIRONMENT_LANG=`echo $LANG | sed "s/\(..\).*/\1/"` #detect environment language 
case $ENVIRONMENT_LANG in
	de)	export LANGUAGE="german" ;;
	en)	export LANGUAGE="english" ;;
	es)	export LANGUAGE="spanish" ;;
	fr)	export LANGUAGE="french" ;;
	it)	export LANGUAGE="italian" ;;
	nb)	export LANGUAGE="norwegian" ;; #translation is norwegian bokmål
	nl)	export LANGUAGE="dutch" ;;
	nn)	export LANGUAGE="norwegian" ;; #Use norwegian bokmål, since there is no norwegian nynorsk
	ru)	export LANGUAGE="russian" ;;
	jp)	export LANGUAGE="japanese" ;;
	*)	export LANGUAGE="english" ;; #english for contries without translation
esac
. "./locale/english.po" #always run to fill gaps in translation
[ -f "./locale/${LANGUAGE}.po" ] && . "./locale/${LANGUAGE}.po" 2> /dev/null

echo "foobar,This line will never be matched by a mime, in the lines below field 5 contains comments that are ignored
gnumeric|excel|spreadsheet|calc|comma-separated-values,,/usr/local/apps/Gnumeric,$LOC_1,this is a comment
gnumeric|excel|spreadsheet|calc|comma-separated-values,,gnumeric,$LOC_1
abiword|msword|rtf|kword|writer,,/usr/local/apps/Abiword,$LOC_2
abiword|msword|rtf|kword|writer,,abiword,$LOC_2
executable|shellscript|perl|python|tcl,,/usr/local/apps/Run_In_Terminal,$LOC_3
application_x-cd-image,,/usr/local/apps/Isomaster,$LOC_4
application_x-cd-image,,isomaster,$LOC_4
application_x-cd-image,,/usr/local/apps/PBurn,$LOC_5
application_x-cd-image,,pburn,$LOC_5
application_x-cd-image,,/usr/local/apps/burniso2cd,$LOC_6
application_x-cd-image,,burniso2cd,$LOC_6
application_x-chm,,/usr/local/apps/ChmSee,$LOC_7
application_x-chm,,chmseeshell,$LOC_7
application_x-chm,,chmsee,$LOC_7,duplication of the line above in case there is no chmseeshell
x-cd-image|squashfs|ext2|ext3,,/usr/local/apps/FileMnt,$LOC_8
x-cd-image|squashfs|ext2|ext3,,filemnt,$LOC_8
postscript,,/usr/local/apps/Ghostview,$LOC_9
pdf,,/usr/local/apps/Ghostview-disabled,$LOC_10
postscript|pdf,,ghostview-disabled,$LOC_10
pdf,,/usr/local/apps/EpdfView,$LOC_11
pdf,,epdfview,$LOC_11
bittorrent,,pupctorrent,$LOC_12
zip|x-tar|compressed|rar|rpm|deb|lzma,,/usr/local/apps/PupZip,$LOC_13
image_,svg|xfig|dwg,/usr/local/apps/Wallpaper,$LOC_14
image_,svg|xfig|dwg,wallpaper,$LOC_14
image_,svg|xfig|dwg|ico,/usr/local/apps/mtPaint,$LOC_15
image_,svg|xfig|dwg|ico,mtpaint,$LOC_15
image_,svg|xfig|dwg,/usr/local/apps/GPicView,$LOC_36
image_,svg|xcf|xfig|dwg,gpicview,$LOC_36
image_svg|xfig,,/usr/local/apps/Inkscapelite,$LOC_17
image_svg|xfig,,inkscapelite,$LOC_17
text_|shellscript|xml|theme|desktop|rtf|javascript|perl|xul+xml|php,abiword,/usr/local/apps/Leafpad,$LOC_18
text_|shellscript|xml|theme|desktop|rtf|javascript|perl|xul+xml|php,abiword,leafpad,$LOC_18
text_|shellscript|xml|theme|desktop|rtf|javascript|perl|xul+xml|php,abiword,/usr/local/apps/Geany,$LOC_19
text_|shellscript|xml|theme|desktop|rtf|javascript|perl|xul+xml|php,abiword,geany,$LOC_19
html,,/usr/local/apps/Seamonkey_Editor,$LOC_20
html,,mozedit,$LOC_20
xml|css|html|shockwave|xul+xml|php,,/usr/local/apps/Seamonkey,$LOC_21
xml|css|html|shockwave|xul+xml|php,,seamonkey,$LOC_21
video|audio|ogg|realmedia,,/usr/local/apps/Gxine,$LOC_22
video|audio|ogg|realmedia,,gxine,$LOC_22
audio|ogg,,/usr/local/apps/Pmusic,$LOC_23
audio|ogg,,pmusic,$LOC_23
directory,,/usr/local/apps/Pfind,$LOC_24
a|e,directory,/usr/local/apps/Seamonkey_Email,$LOC_25
,,/usr/local/apps/Trash,$LOC_26
audio|ogg,,/usr/local/apps/Pmusic_add,$LOC_27" > apps-rules

#extra handlers not in the default puppy

echo "opendocument|msword|excel|powerpoint,,/usr/local/apps/OpenOffice,$LOC_28
opendocument|msword|excel|powerpoint,,soffice,$LOC_28
excel|spreadsheet|x-ole-storage,,planmaker,$LOC_29
application_x-notecase,,notecase,$LOC_30
application_scribus,,scribus,$LOC_31
bittorrent,,transmission-gtk,$LOC_32
zip|x-tar|compressed,,/usr/local/apps/Flipper-The-Zipper,$LOC_33
image_,svg|xfig|dwg,/usr/local/apps/qiv,$LOC_34
image_,svg|xcf|xfig|dwg,gqview,$LOC_35
image_,svg|xcf|xfig|dwg,gtksee,$LOC_37
image_,svg|xcf|xfig|dwg,/usr/local/apps/Fotoxx,$LOC_38
image_,svg|xcf|xfig|dwg,fotoxx,$LOC_38
image_,svg|xcf|xfig|dwg,/usr/local/apps/GView,$LOC_16
image_,svg|xcf|xfig|dwg,gview,$LOC_16
image_,svg|xcf|xfig|dwg,/usr/local/apps/Set As Background,$LOC_39
image_,,gimp,$LOC_40
text_|shellscript|xml|theme|desktop|rtf|javascript|perl|xul+xml|php,abiword,adie,$LOC_41
text_|shellscript|xml|theme|desktop|rtf|javascript|perl|xul+xml|php,abiword,kate,$LOC_42
text_|shellscript|xml|theme|desktop|rtf|javascript|perl|xul+xml|php,abiword,scite,$LOC_43
xml|css|html|javascript|xul+xml|php,,amaya,$LOC_44
xml|css|html|javascript|xul+xml|php,,bluefish,$LOC_45
xml|css|html|xul+xml|php,,komposer,$LOC_46
xml|css|html|xul+xml|php,,nvu,$LOC_47
xml|css|html|shockwave|xul+xml,,/usr/local/apps/Firefox,$LOC_48
xml|css|html|shockwave|xul+xml,,firefox,$LOC_48
xml|css|html|shockwave|xul+xml,,opera,$LOC_49
xml|css|html|shockwave|xul+xml,,dillo,$LOC_50
xml|css|html|shockwave|xul+xml,,skipstone,$LOC_51
video|audio|ogg|realmedia,,gmplayer,$LOC_52, must have same name as below
video|audio|ogg|realmedia,,mplayer,$LOC_52
video|audio|ogg|realmedia,,xine,$LOC_53
video|audio|ogg|realmedia,,amarok,$LOC_54
audio|ogg|realmedia,basic,xmms,$LOC_55,xmms cannot play .au files
audio|ogg|realmedia,basic,audacious,$LOC_56
directory,,/usr/local/apps/PupZip-disabled,$LOC_57
directory,,/usr/local/apps/Flipper-The-Zipper,$LOC_58
a|e,directory,/usr/local/apps/Sylpheed,$LOC_59
a|e,directory,/usr/local/apps/Thunderbird,$LOC_60
a|e,directory,thunderbird,$LOC_60" >> apps-rules
